---
stages:
  - linting
  - test

variables:
  DOCKERFILE: 'Dockerfile'

docker:
  stage: linting
  image:
    name: hadolint/hadolint:latest-alpine
  before_script:
    - |
      echo "Dockerfile: ${DOCKERFILE}"
  script:
    - hadolint "${DOCKERFILE}"
  rules:
    - if: '$MARKDOWN_CHECK_DISABLED || $JOBS_DISABLED'
      when: never
    - if: $CI_MERGE_REQUEST_ID
      when: never
    - when: on_success
